/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "@stencil/core/internal";
export namespace Components {
    interface GlassDisabilityReport {
        /**
          * Expiration date of report
         */
        "expirationDate": string;
        /**
          * The givenname of the id
         */
        "givenName": string;
        /**
          * The id-number of the id
         */
        "idNumber": string;
        /**
          * Issuing Authority name
         */
        "issuingAuthority": string;
        /**
          * Issuing date of report
         */
        "issuingDate": string;
        /**
          * Records with disabilitys
         */
        "records": any;
        /**
          * The surname of the id
         */
        "surname": string;
        /**
          * Total of disability
         */
        "totalValue": string;
    }
    interface GlassDisabilityReportGr {
        /**
          * Expiration date of report
         */
        "expirationDate": string;
        /**
          * The givenname of the id
         */
        "givenName": string;
        /**
          * The id-number of the id
         */
        "idNumber": string;
        /**
          * Issuing Authority name
         */
        "issuingAuthority": string;
        /**
          * Issuing date of report
         */
        "issuingDate": string;
        /**
          * Records with disabilitys
         */
        "records": any;
        /**
          * The surname of the id
         */
        "surname": string;
        /**
          * Total of disability
         */
        "totalValue": string;
    }
    interface GlassDisabilityReportPt {
        /**
          * Expiration date of report
         */
        "expirationDate": string;
        /**
          * The givenname of the id
         */
        "givenName": string;
        /**
          * The id-number of the id
         */
        "idNumber": string;
        /**
          * Issuing Authority name
         */
        "issuingAuthority": string;
        /**
          * Issuing date of report
         */
        "issuingDate": string;
        /**
          * Records with disabilitys
         */
        "records": any;
        /**
          * The surname of the id
         */
        "surname": string;
        /**
          * Total of disability
         */
        "totalValue": string;
    }
    interface GlassDisabilityReportTk {
        /**
          * Expiration date of report
         */
        "expirationDate": string;
        /**
          * The givenname of the id
         */
        "givenName": string;
        /**
          * The id-number of the id
         */
        "idNumber": string;
        /**
          * Issuing Authority name
         */
        "issuingAuthority": string;
        /**
          * Issuing date of report
         */
        "issuingDate": string;
        /**
          * Records with disabilitys
         */
        "records": any;
        /**
          * The surname of the id
         */
        "surname": string;
        /**
          * Total of disability
         */
        "totalValue": string;
    }
    interface GlassHealthInsurance {
        /**
          * Insurance Expiration date
         */
        "birthDate": string;
        /**
          * The sex
         */
        "gender": string;
        /**
          * The givenname of the id
         */
        "givenName": string;
        /**
          * The id-number of the id
         */
        "idNumber": string;
        /**
          * Insurance Expiration date
         */
        "insuranceExpirationdate": Date | string;
        /**
          * Insurance Issue date
         */
        "insuranceIssueDate": Date | string;
        /**
          * The sex of the id
         */
        "insuranceStatus": string;
        /**
          * Controls if the card is flipped or not (true means shown the back part)
         */
        "isFlipped": boolean;
        /**
          * Nationality
         */
        "nationality": string;
        /**
          * The location of the portuguese brand
         */
        "scrBrand": string;
        /**
          * The surname of the id
         */
        "surname": string;
    }
    interface GlassHealthInsuranceGr {
        /**
          * Insurance Expiration date
         */
        "birthDate": string;
        /**
          * The sex
         */
        "gender": string;
        /**
          * The givenname of the id
         */
        "givenName": string;
        /**
          * The id-number of the id
         */
        "idNumber": string;
        /**
          * Insurance Expiration date
         */
        "insuranceExpirationdate": Date | string;
        /**
          * Insurance Issue date
         */
        "insuranceIssueDate": Date | string;
        /**
          * The sex of the id
         */
        "insuranceStatus": string;
        /**
          * Controls if the card is flipped or not (true means shown the back part)
         */
        "isFlipped": boolean;
        /**
          * Nationality
         */
        "nationality": string;
        /**
          * The location of the portuguese brand
         */
        "scrBrand": string;
        /**
          * The surname of the id
         */
        "surname": string;
    }
    interface GlassHealthInsurancePt {
        /**
          * Insurance Expiration date
         */
        "birthDate": string;
        /**
          * The sex
         */
        "gender": string;
        /**
          * The givenname of the id
         */
        "givenName": string;
        /**
          * The id-number of the id
         */
        "idNumber": string;
        /**
          * Insurance Expiration date
         */
        "insuranceExpirationdate": Date | string;
        /**
          * Insurance Issue date
         */
        "insuranceIssueDate": Date | string;
        /**
          * The sex of the id
         */
        "insuranceStatus": string;
        /**
          * Controls if the card is flipped or not (true means shown the back part)
         */
        "isFlipped": boolean;
        /**
          * Nationality
         */
        "nationality": string;
        /**
          * The location of the portuguese brand
         */
        "scrBrand": string;
        /**
          * The surname of the id
         */
        "surname": string;
    }
    interface GlassHealthInsuranceTk {
        /**
          * Insurance Expiration date
         */
        "birthDate": string;
        /**
          * The sex
         */
        "gender": string;
        /**
          * The givenname of the id
         */
        "givenName": string;
        /**
          * The id-number of the id
         */
        "idNumber": string;
        /**
          * Insurance Expiration date
         */
        "insuranceExpirationdate": Date | string;
        /**
          * Insurance Issue date
         */
        "insuranceIssueDate": Date | string;
        /**
          * The sex of the id
         */
        "insuranceStatus": string;
        /**
          * Controls if the card is flipped or not (true means shown the back part)
         */
        "isFlipped": boolean;
        /**
          * Nationality
         */
        "nationality": string;
        /**
          * The location of the portuguese brand
         */
        "scrBrand": string;
        /**
          * The surname of the id
         */
        "surname": string;
    }
}
declare global {
    interface HTMLGlassDisabilityReportElement extends Components.GlassDisabilityReport, HTMLStencilElement {
    }
    var HTMLGlassDisabilityReportElement: {
        prototype: HTMLGlassDisabilityReportElement;
        new (): HTMLGlassDisabilityReportElement;
    };
    interface HTMLGlassDisabilityReportGrElement extends Components.GlassDisabilityReportGr, HTMLStencilElement {
    }
    var HTMLGlassDisabilityReportGrElement: {
        prototype: HTMLGlassDisabilityReportGrElement;
        new (): HTMLGlassDisabilityReportGrElement;
    };
    interface HTMLGlassDisabilityReportPtElement extends Components.GlassDisabilityReportPt, HTMLStencilElement {
    }
    var HTMLGlassDisabilityReportPtElement: {
        prototype: HTMLGlassDisabilityReportPtElement;
        new (): HTMLGlassDisabilityReportPtElement;
    };
    interface HTMLGlassDisabilityReportTkElement extends Components.GlassDisabilityReportTk, HTMLStencilElement {
    }
    var HTMLGlassDisabilityReportTkElement: {
        prototype: HTMLGlassDisabilityReportTkElement;
        new (): HTMLGlassDisabilityReportTkElement;
    };
    interface HTMLGlassHealthInsuranceElement extends Components.GlassHealthInsurance, HTMLStencilElement {
    }
    var HTMLGlassHealthInsuranceElement: {
        prototype: HTMLGlassHealthInsuranceElement;
        new (): HTMLGlassHealthInsuranceElement;
    };
    interface HTMLGlassHealthInsuranceGrElement extends Components.GlassHealthInsuranceGr, HTMLStencilElement {
    }
    var HTMLGlassHealthInsuranceGrElement: {
        prototype: HTMLGlassHealthInsuranceGrElement;
        new (): HTMLGlassHealthInsuranceGrElement;
    };
    interface HTMLGlassHealthInsurancePtElement extends Components.GlassHealthInsurancePt, HTMLStencilElement {
    }
    var HTMLGlassHealthInsurancePtElement: {
        prototype: HTMLGlassHealthInsurancePtElement;
        new (): HTMLGlassHealthInsurancePtElement;
    };
    interface HTMLGlassHealthInsuranceTkElement extends Components.GlassHealthInsuranceTk, HTMLStencilElement {
    }
    var HTMLGlassHealthInsuranceTkElement: {
        prototype: HTMLGlassHealthInsuranceTkElement;
        new (): HTMLGlassHealthInsuranceTkElement;
    };
    interface HTMLElementTagNameMap {
        "glass-disability-report": HTMLGlassDisabilityReportElement;
        "glass-disability-report-gr": HTMLGlassDisabilityReportGrElement;
        "glass-disability-report-pt": HTMLGlassDisabilityReportPtElement;
        "glass-disability-report-tk": HTMLGlassDisabilityReportTkElement;
        "glass-health-insurance": HTMLGlassHealthInsuranceElement;
        "glass-health-insurance-gr": HTMLGlassHealthInsuranceGrElement;
        "glass-health-insurance-pt": HTMLGlassHealthInsurancePtElement;
        "glass-health-insurance-tk": HTMLGlassHealthInsuranceTkElement;
    }
}
declare namespace LocalJSX {
    interface GlassDisabilityReport {
        /**
          * Expiration date of report
         */
        "expirationDate"?: string;
        /**
          * The givenname of the id
         */
        "givenName"?: string;
        /**
          * The id-number of the id
         */
        "idNumber"?: string;
        /**
          * Issuing Authority name
         */
        "issuingAuthority"?: string;
        /**
          * Issuing date of report
         */
        "issuingDate"?: string;
        /**
          * Records with disabilitys
         */
        "records"?: any;
        /**
          * The surname of the id
         */
        "surname"?: string;
        /**
          * Total of disability
         */
        "totalValue"?: string;
    }
    interface GlassDisabilityReportGr {
        /**
          * Expiration date of report
         */
        "expirationDate"?: string;
        /**
          * The givenname of the id
         */
        "givenName"?: string;
        /**
          * The id-number of the id
         */
        "idNumber"?: string;
        /**
          * Issuing Authority name
         */
        "issuingAuthority"?: string;
        /**
          * Issuing date of report
         */
        "issuingDate"?: string;
        /**
          * Records with disabilitys
         */
        "records"?: any;
        /**
          * The surname of the id
         */
        "surname"?: string;
        /**
          * Total of disability
         */
        "totalValue"?: string;
    }
    interface GlassDisabilityReportPt {
        /**
          * Expiration date of report
         */
        "expirationDate"?: string;
        /**
          * The givenname of the id
         */
        "givenName"?: string;
        /**
          * The id-number of the id
         */
        "idNumber"?: string;
        /**
          * Issuing Authority name
         */
        "issuingAuthority"?: string;
        /**
          * Issuing date of report
         */
        "issuingDate"?: string;
        /**
          * Records with disabilitys
         */
        "records"?: any;
        /**
          * The surname of the id
         */
        "surname"?: string;
        /**
          * Total of disability
         */
        "totalValue"?: string;
    }
    interface GlassDisabilityReportTk {
        /**
          * Expiration date of report
         */
        "expirationDate"?: string;
        /**
          * The givenname of the id
         */
        "givenName"?: string;
        /**
          * The id-number of the id
         */
        "idNumber"?: string;
        /**
          * Issuing Authority name
         */
        "issuingAuthority"?: string;
        /**
          * Issuing date of report
         */
        "issuingDate"?: string;
        /**
          * Records with disabilitys
         */
        "records"?: any;
        /**
          * The surname of the id
         */
        "surname"?: string;
        /**
          * Total of disability
         */
        "totalValue"?: string;
    }
    interface GlassHealthInsurance {
        /**
          * Insurance Expiration date
         */
        "birthDate"?: string;
        /**
          * The sex
         */
        "gender"?: string;
        /**
          * The givenname of the id
         */
        "givenName"?: string;
        /**
          * The id-number of the id
         */
        "idNumber"?: string;
        /**
          * Insurance Expiration date
         */
        "insuranceExpirationdate"?: Date | string;
        /**
          * Insurance Issue date
         */
        "insuranceIssueDate"?: Date | string;
        /**
          * The sex of the id
         */
        "insuranceStatus"?: string;
        /**
          * Controls if the card is flipped or not (true means shown the back part)
         */
        "isFlipped"?: boolean;
        /**
          * Nationality
         */
        "nationality"?: string;
        /**
          * The location of the portuguese brand
         */
        "scrBrand"?: string;
        /**
          * The surname of the id
         */
        "surname"?: string;
    }
    interface GlassHealthInsuranceGr {
        /**
          * Insurance Expiration date
         */
        "birthDate"?: string;
        /**
          * The sex
         */
        "gender"?: string;
        /**
          * The givenname of the id
         */
        "givenName"?: string;
        /**
          * The id-number of the id
         */
        "idNumber"?: string;
        /**
          * Insurance Expiration date
         */
        "insuranceExpirationdate"?: Date | string;
        /**
          * Insurance Issue date
         */
        "insuranceIssueDate"?: Date | string;
        /**
          * The sex of the id
         */
        "insuranceStatus"?: string;
        /**
          * Controls if the card is flipped or not (true means shown the back part)
         */
        "isFlipped"?: boolean;
        /**
          * Nationality
         */
        "nationality"?: string;
        /**
          * The location of the portuguese brand
         */
        "scrBrand"?: string;
        /**
          * The surname of the id
         */
        "surname"?: string;
    }
    interface GlassHealthInsurancePt {
        /**
          * Insurance Expiration date
         */
        "birthDate"?: string;
        /**
          * The sex
         */
        "gender"?: string;
        /**
          * The givenname of the id
         */
        "givenName"?: string;
        /**
          * The id-number of the id
         */
        "idNumber"?: string;
        /**
          * Insurance Expiration date
         */
        "insuranceExpirationdate"?: Date | string;
        /**
          * Insurance Issue date
         */
        "insuranceIssueDate"?: Date | string;
        /**
          * The sex of the id
         */
        "insuranceStatus"?: string;
        /**
          * Controls if the card is flipped or not (true means shown the back part)
         */
        "isFlipped"?: boolean;
        /**
          * Nationality
         */
        "nationality"?: string;
        /**
          * The location of the portuguese brand
         */
        "scrBrand"?: string;
        /**
          * The surname of the id
         */
        "surname"?: string;
    }
    interface GlassHealthInsuranceTk {
        /**
          * Insurance Expiration date
         */
        "birthDate"?: string;
        /**
          * The sex
         */
        "gender"?: string;
        /**
          * The givenname of the id
         */
        "givenName"?: string;
        /**
          * The id-number of the id
         */
        "idNumber"?: string;
        /**
          * Insurance Expiration date
         */
        "insuranceExpirationdate"?: Date | string;
        /**
          * Insurance Issue date
         */
        "insuranceIssueDate"?: Date | string;
        /**
          * The sex of the id
         */
        "insuranceStatus"?: string;
        /**
          * Controls if the card is flipped or not (true means shown the back part)
         */
        "isFlipped"?: boolean;
        /**
          * Nationality
         */
        "nationality"?: string;
        /**
          * The location of the portuguese brand
         */
        "scrBrand"?: string;
        /**
          * The surname of the id
         */
        "surname"?: string;
    }
    interface IntrinsicElements {
        "glass-disability-report": GlassDisabilityReport;
        "glass-disability-report-gr": GlassDisabilityReportGr;
        "glass-disability-report-pt": GlassDisabilityReportPt;
        "glass-disability-report-tk": GlassDisabilityReportTk;
        "glass-health-insurance": GlassHealthInsurance;
        "glass-health-insurance-gr": GlassHealthInsuranceGr;
        "glass-health-insurance-pt": GlassHealthInsurancePt;
        "glass-health-insurance-tk": GlassHealthInsuranceTk;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            "glass-disability-report": LocalJSX.GlassDisabilityReport & JSXBase.HTMLAttributes<HTMLGlassDisabilityReportElement>;
            "glass-disability-report-gr": LocalJSX.GlassDisabilityReportGr & JSXBase.HTMLAttributes<HTMLGlassDisabilityReportGrElement>;
            "glass-disability-report-pt": LocalJSX.GlassDisabilityReportPt & JSXBase.HTMLAttributes<HTMLGlassDisabilityReportPtElement>;
            "glass-disability-report-tk": LocalJSX.GlassDisabilityReportTk & JSXBase.HTMLAttributes<HTMLGlassDisabilityReportTkElement>;
            "glass-health-insurance": LocalJSX.GlassHealthInsurance & JSXBase.HTMLAttributes<HTMLGlassHealthInsuranceElement>;
            "glass-health-insurance-gr": LocalJSX.GlassHealthInsuranceGr & JSXBase.HTMLAttributes<HTMLGlassHealthInsuranceGrElement>;
            "glass-health-insurance-pt": LocalJSX.GlassHealthInsurancePt & JSXBase.HTMLAttributes<HTMLGlassHealthInsurancePtElement>;
            "glass-health-insurance-tk": LocalJSX.GlassHealthInsuranceTk & JSXBase.HTMLAttributes<HTMLGlassHealthInsuranceTkElement>;
        }
    }
}
